<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ExecuteSQLQueryReq StructType
 * @subpackage Structs
 */
class ExecuteSQLQueryReq extends APIRequest
{
    /**
     * The sql
     * Meta information extracted from the WSDL
     * - documentation: WARNING: SQL Large Text and BLOB columns cannot be fetched along with other columns. A Large Text or BLOB column must be selected in its own SQL query.
     * - nillable: false
     * @var string
     */
    public $sql;
    /**
     * Constructor method for ExecuteSQLQueryReq
     * @uses ExecuteSQLQueryReq::setSql()
     * @param string $sql
     */
    public function __construct($sql = null)
    {
        $this
            ->setSql($sql);
    }
    /**
     * Get sql value
     * @return string|null
     */
    public function getSql()
    {
        return $this->sql;
    }
    /**
     * Set sql value
     * @param string $sql
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ExecuteSQLQueryReq
     */
    public function setSql($sql = null)
    {
        $this->sql = $sql;
        return $this;
    }
}
